Page MenuHomePhabricator

Create CI slaves using Debian Jessie
Closed, ResolvedPublic

Description

I would like us to start pooling some Debian Jessie CI slaves. The intended usage would be to migrate the Jenkins jobs that build Debian packages for us.

Alexandros Kosiaris proposed a patch that creates cow image for all the distributions we use https://gerrit.wikimedia.org/r/#/c/194471/ . So we could tie the debian-glue Jenkins jobs to the Jessie slaves, adjust the debian-glue job template to let us specify the distribution to use and the Jessie instance should be able to build it properly.

Related Objects

StatusAssignedTask
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
DuplicateNone
ResolvedAndrew
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedfaidon
ResolvedDzahn
Resolvedfgiunchedi
ResolvedMoritzMuehlenhoff
Resolvedfaidon
Resolvedfaidon
ResolvedAndrew
Declinedhashar
ResolvedAndrew
ResolvedAndrew
Resolvedcoren
Resolvedcoren
Resolvedhashar
Resolvedhashar

Event Timeline

hashar created this task.Apr 2 2015, 2:36 PM
hashar raised the priority of this task from to Normal.
hashar updated the task description. (Show Details)
hashar added subscribers: hashar, akosiaris.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 2:36 PM
hashar added a comment.Apr 2 2015, 2:42 PM

Created instance i-00000a3b with image "debian-8.0-jessie" and hostname i-00000a3b.eqiad.wmflabs.

integration-slave-jessie-1001

m1.small (1 CPU, 2GB RAM, 20GB root)

After some madness with puppet and OpenStack manager, I got the first Jessie CI slave pooled in Jenkins: https://integration.wikimedia.org/ci/computer/integration-slave-jessie-1001/

It has a single Jenkins label DebianJessie and is not meant yet to run tests.

hashar renamed this task from Create CI slaves using Debian Jessie for debian-glue script to Create CI slaves using Debian Jessie.Apr 3 2015, 1:02 PM
hashar set Security to None.
hashar renamed this task from Create CI slaves using Debian Jessie to Create CI slaves using Debian Jessie (tracking).Apr 7 2015, 12:49 PM
faidon added a subscriber: faidon.Jun 3 2015, 1:21 PM

I created a single Jessie slave to report on package/puppet/upstart errors. Tracking is T94836. It is not a priority though :-\

How can we make this a priority? Our fleet is increasingly moving towards a newer distribution and having CI match that is essential to our work. The AuthDNS example (T98003) is a good one: this is one of our most critical services.

hashar raised the priority of this task from Normal to High.Jun 9 2015, 2:27 PM
hashar moved this task from In-progress to Next on the Continuous-Integration-Infrastructure board.

@faidon I have poked Release-Engineering-Team mailing list about it. Seems lot of the tasks are Operations related though.

Change 217466 had a related patch set uploaded (by Hashar):
contint: role::ci::slave::labs::light

https://gerrit.wikimedia.org/r/217466

Change 217476 had a related patch set uploaded (by Hashar):
contint: do not install zuul on light slaves

https://gerrit.wikimedia.org/r/217476

hashar added a comment.EditedJun 11 2015, 10:38 AM

I have pooled a Jessie slave that is very minimal. https://integration.wikimedia.org/ci/computer/integration-lightslave-jessie-1002/ with labels DebianJessie and contintLabsSlave.

hashar lowered the priority of this task from High to Normal.Jun 22 2015, 12:48 PM

Change 217466 merged by Faidon Liambotis:
contint: role::ci::slave::labs::light

https://gerrit.wikimedia.org/r/217466

Change 217476 merged by Faidon Liambotis:
contint: do not install zuul on light slaves

https://gerrit.wikimedia.org/r/217476

hashar changed the status of subtask T95008: Build Debian package ruby-jsduck for Jessie from Resolved to Declined.Aug 26 2015, 1:28 PM
hashar changed the task status from Open to Stalled.Oct 6 2015, 12:37 PM
hashar closed this task as Resolved.May 9 2016, 3:21 PM
hashar claimed this task.

Looks fine. integration-slave-jessie-1001 has been created a while ago and puppet is fine.

hashar added a comment.May 9 2016, 3:44 PM

https://gerrit.wikimedia.org/r/287648 drops the transient role::ci::slave::labs::light which is no more needed.

I have also created a second host integration-slave-jessie-1002 for a total of two executors on m1.medium instances. That is good enough since most jobs are running on Nodepool slaves anyway.

Phabricator_maintenance renamed this task from Create CI slaves using Debian Jessie (tracking) to Create CI slaves using Debian Jessie.Aug 13 2016, 9:49 PM